Christian
Beer
djangofett@gmx.net
Frank
Thomas
frank@thomas-alfeld.de
Peter
Bailis
pbailis@gmail.com
2007
2013
University of California
&date;
&boinccmd;
1

# &boinccmd;

The command line interface to the BOINC client.

            &cmd_boinccmd;
            --host hostname:port
            --passwd passwd
            command

            &cmd_boinccmd;
            -hV

Notice that the order of the options is important. The `--host` and `--passwd` options must precede any command.

## DESCRIPTION

The BOINC command tool (&cmd_boinccmd;) provides a command line interface to control a running BOINC client (&man_boinc;). It communicates with a running client using port &rpc_port; over TCP/IP. It can only connect to one client at a time.

## OPTIONS

`--host` hostname:port

  Connect to the host hostname. The default host is localhost.

`--passwd` passwd

  Use passwd as password for RPC authentication. If the current working directory contains a file `gui_rpc_auth.cfg`, &cmd_boinccmd; will read the password from this file.

`-h`, `--help`

  Show a help message and all commands.

`-V`, `--version`

  Show the version of the program.

## COMMANDS

### Account query and attach

`--lookup_account` URL email passwd

  Look up account and print account key.

`--create_account` URL email passwd name

  Create account with the given email address, password, and user name.

`--project_attach` URL account_key

  Attach to an account using the project URL and authenticator (send via email after `--create_account` was succesfull).

`--join_acct_mgr` URL name passwd

  Attach to an account manager (or do RPC if already attached). The account has to be created via the account manager website.

`--quit_acct_mgr`

  Detach from the current account manager.

### State queries

`--get_state`

  Show complete client state.

`--get_cc_status`

  Show only current CPU, GPU and network modes.

`--get_tasks`

  Show all tasks of the client (in progress, waiting and completed only). Tasks that where reported to the project server are not shown here.

`--get_simple_gui_info`

  Show status of projects and active tasks.

`--get_file_transfers`

  Show all current file transfers.

`--get_project_status`

  Show status of all projects.

`--get_disk_usage`

  Show disk usage of all projects.

`--get_proxy_settings`

  Get proxy settings.

`--get_messages` seqno

  Show messages with sequence numbers beyond seqno.

`--get_message_count`

  Show largest message sequence number.

`--get_notices` seqno

  Show project notices with sequence numbers beyond seqno.

`--get_host_info`

  Show system information about the host where the BOINC client is running.

`--get_daily_xfer_history`

  Show network traffic history of the BOINC client.

### Control operations

`--task` URL task_name {suspend | resume | abort}

  Do operation on a task.

  `suspend`

    Temporarily stop work on task.

  `resume`

    Allow work on task.

  `abort`

    Permanently stop work on task.

`--project` URL {reset | detach | update | suspend | resume | nomorework | allowmorework | detach_when_done | dont_detach_when_done}

  Do operation on a project, identified by its master URL.

  `reset`

    Delete current tasks, applications and other files from this project, request new tasks.

  `detach`

    Delete current tasks applications and other files from this project, don't request any new tasks.

  `update`

    Contact project scheduling server.

  `suspend`

    Stop all tasks for project.

  `resume`

    Resume tasks for project.

  `nomorework`

    Finish all downloaded tasks but don't get more.

  `allowmorework`

    Undo `nomorework`.

  `detach_when_done`

    Detach project after all tasks are finished.

  `dont_detach_when_done`

    Undo `detach_when_done`.

`--file_transfer` URL filename {retry | abort}

  Do operation on a file transfer.

  `retry`

    Retry file transfer.

  `abort`

    Permanently abort file transfer.

`--set_run_mode` {always | auto | never} duration

  Set run mode (applies to CPU and GPU).

  `always`

    Do work always.

  `auto`

    Do work only when allowed by preferences.

  `never`

    Don't do work.

  If duration is zero or absent, this mode is permanent. Otherwise, after duration seconds elapse, revert to last permanent mode.

`--set_network_mode` {always | auto | never} duration

  Set network mode. Like `--set_run_mode` but applies to network transfers only.

`--set_gpu_mode` {always | auto | never} duration

  Set GPU mode. Like `--set_run_mode` but applies to GPU processing only.

`--set_proxy_settings` http_server_name http_server_port http_user_name http_user_passwd socks_server_name socks_server_port socks5_user_name socks5_user_passwd noproxy_hosts

  Set proxy settings. All fields are mandatory.

`--run_benchmarks`

  Run CPU benchmarks.

`--read_global_prefs_override`

  Tell the client to read the `global_prefs_override.xml` file and incorporate any global preferences indicated there.

`--quit`

  Tell the client to quit.

`--read_cc_config`

  Tell the client to reread the configuration file (`cc_config.xml`).

`--get_project_config` URL

  Fetch configuration of project located at URL.

`--network_available`

  Tell the client to retry deferred network communication.

## SEE ALSO

&man_boinc;, &man_boincmgr;

## COPYRIGHT

Copyright © 2007-2008 University of California.

Permission is granted to copy, distribute and/or modify this document under the terms of the &gnu; Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.